package com.ruoyi.voluntary.service;

import java.util.List;

import com.ruoyi.voluntary.domain.BusiSchools;
import com.ruoyi.voluntary.dto.SchoolDto;

/**
 * 学校Service接口
 *
 * @author voluntary
 * @date 2022-11-20
 */
public interface IBusiSchoolsService
{
    /**
     * 查询学校
     *
     * @param id 学校主键
     * @return 学校
     */
    public BusiSchools selectBusiSchoolsById(Long id);
    public List<BusiSchools> selectBusiSchoolsByIds(List<Long> ids);

    /**
     * 查询学校列表
     *
     * @param busiSchools 学校
     * @return 学校集合
     */
    public List<BusiSchools> selectBusiSchoolsList(BusiSchools busiSchools);
    public List<SchoolDto> getAreaSchoolsByAgentId3(List<BusiSchools> list);
    /**
     * 新增学校
     *
     * @param busiSchools 学校
     * @return 结果
     */
    public int insertBusiSchools(BusiSchools busiSchools);

    /**
     * 修改学校
     *
     * @param busiSchools 学校
     * @return 结果
     */
    public int updateBusiSchools(BusiSchools busiSchools);

    /**
     * 批量删除学校
     *
     * @param ids 需要删除的学校主键集合
     * @return 结果
     */
    public int deleteBusiSchoolsByIds(Long[] ids);

    /**
     * 删除学校信息
     *
     * @param id 学校主键
     * @return 结果
     */
    public int deleteBusiSchoolsById(Long id);

    public List<SchoolDto> getAreaSchoolsByAgentId(Long agentId);

    public List<SchoolDto> getAreaSchoolsByAgentId(Long agentId, Boolean isEcard);

    public List<SchoolDto> getAreaSchoolsByDistributeSchool(Long distributeSchoolId);
}
